/*** ------------------------------- ***/
/*** PROFIL SYSTEME ONGLET --------------- ***/
/* .systab .tab => les onglet */
.post-content div.gr-hiisa{--co2:var(--hii)!important;--co2_rgb:242,155,155!important}
.post-content div.gr-hiisa .postprofile-rank{--neutral_2:rgba(var(--hii_rgb),0.2)!important;}
.post-content div.gr-dojin{--co2:var(--doj)!important;--co2_rgb:172,199,154!important}
.post-content div.gr-dojin .postprofile-rank{--neutral_2:rgba(var(--doj_rgb),0.2)!important;}
.post-content div.gr-raiyo{--co2:var(--rai)!important;--co2_rgb:230,207,149!important}
.post-content div.gr-raiyo .postprofile-rank{--neutral_2:rgba(var(--rai_rgb),0.2)!important;}
.post-content div.gr-suisei{--co2:var(--sui)!important;--co2_rgb:147,201,196!important}
.post-content div.gr-suisei .postprofile-rank{--neutral_2:rgba(var(--sui_rgb),0.2)!important;}
.post-content div.gr-fugi{--co2:var(--fug)!important;--co2_rgb:173,144,184!important}
.post-content div.gr-fugi .postprofile-rank{--neutral_2:rgba(var(--fug_rgb),0.2)!important;}

.post-content div.gr-raiyo .postprofile-rank bb2,
.post-content div.gr-hiisa .postprofile-rank bb2,
.post-content div.gr-dojin .postprofile-rank bb2,
.post-content div.gr-suisei .postprofile-rank bb2,
.post-content div.gr-fugi .postprofile-rank bb2{ color: var(--co2) !important; }

div.page_profil.gr-hiisa{--co2:var(--hii)!important;--co2_rgb:242,155,155!important}
div.page_profil.gr-hiisa .postprofile-rank{--neutral_2:rgba(var(--hii_rgb),0.2)!important;}
div.page_profil.gr-dojin{--co2:var(--doj)!important;--co2_rgb:172,199,154!important}
div.page_profil.gr-dojin .postprofile-rank{--neutral_2:rgba(var(--doj_rgb),0.2)!important;}
div.page_profil.gr-raiyo{--co2:var(--rai)!important;--co2_rgb:230,207,149!important}
div.page_profil.gr-raiyo .postprofile-rank{--neutral_2:rgba(var(--rai_rgb),0.2)!important;}
div.page_profil.gr-suisei{--co2:var(--sui)!important;--co2_rgb:147,201,196!important}
div.page_profil.gr-suisei .postprofile-rank{--neutral_2:rgba(var(--sui_rgb),0.2)!important;}
div.page_profil.gr-fugi{--co2:var(--fug)!important;--co2_rgb:173,144,184!important}
div.page_profil.gr-fugi .postprofile-rank{--neutral_2:rgba(var(--fug_rgb),0.2)!important;}

div.page_profil.gr-raiyo .postprofile-rank bb2,
div.page_profil.gr-hiisa .postprofile-rank bb2,
div.page_profil.gr-dojin .postprofile-rank bb2,
div.page_profil.gr-suisei .postprofile-rank bb2,
div.page_profil.gr-fugi .postprofile-rank bb2{ color: var(--co2) !important; }

.fa_like_others{color:var(--co1);}

/* flottement des conteneurs si les onglets sont à gauche où à droite */
.systab.s_float .tabs,.systab.s_float .contents {
  float: left;
}

/* ------ TOPIC ------- */
.sub-header-container{
  padding: 8px;
  border-radius: 16px;
  overflow: hidden;
  background: var(--transp_1);
  margin: 16px 0px;
}
.sub-header{
  display: flex;
  flex-direction: column;
  gap: 0px;
  border-radius: 8px;
  overflow: hidden;
}
.sub-header-nav{
  display: grid;
  grid-template-columns: max-content max-content;
  align-items: center;
  justify-content: space-between;
  padding: var(--spacing) 0px;
}
.sub-header-nav.bottom {
  background: var(--transp_1);
  border-radius: 16px;
  overflow: hidden;
}
.sub-header-container .sub-header-nav{
  transition: var(--transi);
  display: flex;
  text-align: left;
  justify-content: space-between;
  padding: var(--spacing-s);
}
body.dark .sub-header-container .sub-header-nav{
  background: radial-gradient(100% 42025% at 0% 0%, rgba(var(--co2_rgb), 0.3) 0%, rgba(var(--co2_rgb), 0.05) 58.65%);
}
body.light .sub-header-container .sub-header-nav{
  background: radial-gradient(100% 42025% at 0% 0%, rgba(var(--co2_rgb), 0.7) 0%, rgba(var(--co2_rgb), 0.2) 58.65%);
}

.sub-header .sub-header-path{
  height: auto!important;
}
.sub-header .sub-header-path a,
.sub-header-nav .sub-header-path a,
.sub-header-container .sub-header-path a,
.sub-header-container .sub-header-path a + a:before {
  display: flex;
  align-items: center;
}

.sub-header-container .sub-header-path a,
.sub-header-container .sub-header-path a + a:before {
  color: white;
}

.sub-header-info{
  float: none;
  padding: 16px;
  background: var(--neutral_1);
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  display: grid;
  grid-template-rows: auto;
  grid-row-gap: 0px;
  backdrop-filter: blur(4px);
  align-items: center;
}
.sub-header-line1 {
  display: grid;
  grid-template-columns: auto max-content;
  grid-gap: 16px;
}

.sub-header-info h1.page-title{
  font-size: 24px;
  font-family: var(--special-font), var(--jp-font);
  text-transform: initial!important;
  color: var(--cat_forumlink)!important;
  text-align: left;
  line-height: 32px;
  opacity: 1;
  margin: 0;
}
.sub-header-info h1.page-title a{
  color: var(--cat_forumlink)!important;
  background: var(--gradient_tit);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
}
.sub-header-info .topic-actions{
  display: grid;
  grid-template-columns: max-content max-content;
  justify-content: space-between;
  align-items: center;
  margin: 0;
}

.topic-parti:empty {
  display: none;
}

.poster-list{
  display: flex;
  font-family: var(--font);
  width: fit-content;
  margin-bottom: 0;
  padding: 0;
}
.poster-list .poster{ height: 32px; display: none; }
.poster-list .poster:before {
  height: 24px;
  width: 24px;
  border: 1px solid white;
}
.poster-list .poster:nth-child(1){ width: 40px; }
.poster-list .poster:nth-child(2){ width: 24px; }
.poster-list .poster-count{
  line-height: 14px;
  font-size: 10px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  position: relative;
  margin: 0;
  margin-top: 4px;
  color: var(--tx_content);
}

.post{
  border-radius: 16px;
  border: 0;
  margin-bottom: 8px;
  background-color: var(--transp_1);
}
.post-head{
  display: grid;
  grid-template-columns: auto max-content max-content;
  grid-column-gap: 0px;
  color: var(--tx_content);
  background-color: transparent;
  border: 0;
  padding: 0;
}
.post-head .post-meta{
  color: var(--tx_content);
  display: grid;
  grid-template-columns: max-content 1px max-content;
  align-items: center;
  align-content: center;
  grid-column-gap: 8px;
  padding: 8px 0px;
}
.sms-first .post-head > div.post-meta { margin-left: 16px; }

.post-meta .sep-vert{ width: 1px; height: 16px; background-color: rgba(var(--tx_content_rgb),0.3); }
.post-head .topic-title{ 
  margin: 0;
}
.post-meta h2.topic-title a,
.post-meta .topic-date{
  font-family: var(--font);
  font-size: 9px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  color: var(--tx_content);
  white-space: initial;
  overflow: auto;
  text-overflow: initial;
  display: block;
  max-width: 100%;
  transition: var(--transi);
}
.post-meta h2.topic-title a:hover{ color: var(--co2); }
.post-head ul.profile-icons {
  float: none;
  margin: 0;
  display: flex;
  gap: 8px;
  list-style: none;
  padding: 8px 0px;
  align-items: center;
}
.post-meta h2.topic-title a {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
  max-width: 144px;
}

ul.profile-icons li {
  float: none;
  margin: 0;
  font-size: 9px;
  line-height: 16px;
  display: inline-block;
  padding: 0px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
}
.post-head .profile-icons a,
.post-head .profile-icons span,
.mp-meta .profile-icons a,
.mp-meta .profile-icons span {
  box-shadow: none;
  color: var(--blanc);
  line-height: 16px;
  font-weight: 600;
  height: 16px;
  border-width: initial;
  border-style: none;
  border-color: initial;
  border-image: initial;
  background-image: linear-gradient(90deg, var(--co1), var(--co2), var(--co1));
  background-size: 200% 100%;
  background-position: 0% 0%;
  padding: 0px 6px;
  transition: var(--transi);
}
.post-head .profile-icons a:hover,
.mp-meta .profile-icons a:hover{
  background-position: 100% 0%;
}
.post-head .fa_like_div {
  clear: both;
  float: none;
  font-size: 10px;
  color: var(--tx_content);
  display: flex;
  padding: 8px 16px;
  gap: 12px;
  margin-left: 1px;
}
.post-head .fa_like_div .rep-button, 
.post-head .fa_like_div .rep-button:active, 
.post-head .fa_like_div .rep-button:focus{
  display: inline-block;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 1px var(--neutral_1) solid;
  background-color: var(--neutral_1);
  padding: 0;
  transition: var(--transi);
  position: relative;
  top: -6px;
  margin-bottom: -6px;
}
.post-head .fa_like_div .rep-button img, 
.post-head .fa_like_div .rep-button:active img, 
.post-head .fa_like_div .rep-button:focus img{
  width: 12px;
}
.post-head .fa_like_div .like,
.post-head .fa_like_div .feels{
  position: relative;
  height: 24px;
}
.post-head .fa_like_div .rep-button:hover{ background-color: var(--neutral_2); }
.post-head .fa_like_div .rep-button:hover img{ animation: btq-hover 1s infinite; }

.post-head .fa_like_div .rep-nb{
  background: var(--neutral_5);
  border-radius: 50%;
  color: white;
  font-size: 8px;
  font-weight: bold;
  line-height: 16px;
  width: 16px;
  display: inline-block;
  position: absolute;
  z-index: 3;
  top: -6px;
  right: -6px;
  text-align: center;
  padding: 0px;
}
.post-head .fa_like_div .rep-nb:hover{ animation: pulse 2s infinite; }
.fa_liked .rep-nb, .fa_disliked .rep-nb {
  background: var(--co2)!important;
}
div.sms-actions .fa_liked .rep-nb,
div.sms-actions .fa_disliked .rep-nb{ background-color: transparent!important; }

.post-content{
  display: grid;
  grid-template-columns: 280px auto;
  grid-column-gap: 1px;
  align-content: flex-start;
  overflow: hidden;
  border-radius: 16px;
  overflow: hidden;
}
.postprofile{
  background: var(--neutral_1);
  height: 100%;
  min-height: 598px;
  width: 100%;
  padding: 16px;
  float: none;
}
.post-right {
  padding: 8px 16px 16px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.postprofile a:link, .postprofile a:active, .postprofile a:visited{
  color: var(--tx_content);
  transition: var(--transi);
}
.postprofile a:hover{
  color: var(--co2_light);
}

.online:before {
  background-image: linear-gradient(to right, rgba(var(--doj_rgb),0.4) 0%, var(--neutral_2) 50%, rgba(var(--doj_rgb),0.4) 100%);
  background-size: 200% 100%;
  background-position: center left;
  background-color: var(--neutral_2);
  color: var(--tx_contrast);
  border-radius: 4px 4px 0px 0px;
  content: "en ligne";
  font-size: 10px;
  display: flex;
  gap: 8px;
  height: 20px;
  position: absolute;
  left: -43px;
  top: 44px;
  padding: 2px 8px;
  text-transform: uppercase;
  font-weight: 500;
  transform: rotate(-90deg);
  letter-spacing: 0.05em;
  width: max-content;
  z-index: 2;
  transition: var(--transi);
}
.comment.online:before{ display: none !important; }
.online:before:hover{
  background-position: center right;
}
div.postprofile-top:hover .online:before{ display: none!important; }

.postbody {
  float: none;
  margin: 0;
  padding: 0px;
  word-break: break-word;
}
.postbody .content{
  text-align: justify;
  padding: 32px;
  color: var(--tx_content);
  background-color: var(--transp_1);
  border-radius: 16px;
  font-family: var(--font);
  font-weight: normal;
  font-size: 13px;
  line-height: 1.5em;
  backdrop-filter: blur(6px);
}
.postbody .content a, .postbody .content a:link,
.postbody .content a:visited{ 
  transition: var(--transi);
  color: var(--co1);
}
.postbody .content a:hover{ 
  color: var(--co2);
}

.mentiontag { background-color: var(--tx_content); }
.mentiontag:hover, 
.mentiontag:active{ background-color: var(--co2); }

.signature_div{
  width: 100%;
  font-size: 12px;
  color: var(--tx_content);
  line-height: 18px;
  padding: 16px 0px 16px 0px;
  height: max-content;
}

div.postprofile-name{
  line-height: 24px;
  display: flex;
  flex-direction: row-reverse;
  gap: 8px;
  font-size: 18px;
  text-align: left;
  font-weight: normal !important;
  font-family: var(--special-font);
  color: var(--co3);
  position: relative;
  align-items: center;
  margin-bottom: 6px;
  left: -8px;
}
div.postprofile-name > a:hover,
div.postprofile-name > a > span > a{
  color: rgba(var(--tx_content_rgb),0.5)!important;
  transition: var(--transi);
}
div.postprofile-name > a,
div.postprofile-name > a > span > a:hover{ 
  color: var(--tx_content)!important;
  transition: var(--transi);
}
div.postprofile-name > span > strong{ font-weight: normal!important; }

div.postprofile-name > a.mention{
  margin-right: 0px;
  font-size: 10px;
  line-height: 20px;
  color: var(--tx_content) !important;
  padding: 4px;
  transition: var(--transi);
  background: var(--neutral_3);
  height: 20px;
  width: 20px;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  left: 8px;
  top: 0px;
  text-align: center;
  font-family: var(--main-font);
}
div.postprofile-name > a:last-child { 
  width: 212px;
  height: 24px;
}
div.postprofile-name > a.mention:first-of-type{ 
  background-color: transparent; 
  position: absolute !important; 
  width: 0px; 
  height: 0px; 
  padding: 0;
  transform: scale(0) !important;
}
div.postprofile-name > a.mention:hover {
  background-color: var(--co2);
  opacity: 1;
  color: white !important;
}

div.postprofile-irl {
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  font-weight: 600;
  line-height: 16px;
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 8px;
  color: var(--tx_contrast);
}
div.postprofile-irl:before {
  display: block;
  width: 32px;
  height: 1px;
  content: " ";
  background-color: var(--co2);
}
div.postprofile-irl .profil_field .label,
div.postprofile-irl .profil_field.pseudo:not(.irl_field_pseudo-irl),
div.postprofile-irl .profil_field.pronom:not(irl_field_pronom__0028s__0029-irl){
  display: none !important;
}
div.postprofile-irl .profil_field.pseudo.irl_field_pseudo-irl,
div.postprofile-irl .profil_field.pronom.irl_field_pronom__0028s__0029-irl{
  display: inline-block!important;
}

div.postprofile-irl > span:nth-child(2):before {
  content: "aka";
  display: inline-block;
  font-weight: normal;
  margin-right: 4px;
  color: var(--tx_content);
}
div.postprofile-irl > span:nth-child(20){
  display: inline-block!important;
  font-weight: 500;
  color: var(--tx_content);
}

div.postprofile-top{
  z-index: 1;
  position: relative;
  overflow: hidden;
  width: 248px;
  height: 387px;
  padding: 8px;
  border-radius: 8px;
  margin: auto;
}
.postprofile-top:before {
  z-index: -1;
  content: "";
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0;
  bottom: 0;
  width: 248px;
  height: 387px;
  border-radius: 16px;
  padding: 1px;
  background: linear-gradient(130deg, var(--co2), var(--neutral_1) 30%, var(--neutral_1) 70%, var(--co2));
  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: xor;
  -webkit-mask: 
     linear-gradient(#fff 0 0) content-box, 
     linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
          mask-composite: exclude; 
}
.postprofile-avatar{ 
  margin: 0;
  border-radius: 8px;
  overflow: hidden;
}
.postprofile-avatar img {
  border-radius: 0px;
  border: 0px;
  box-shadow: none;
  width: 232px;
  height: 371px;
}
div.postprofile-info > div.postprofile-grid > br{
  display: none;
}


div.postprofile-top > div.postprofile-info{
  position: absolute;
  bottom: -371px;
  left: 8px;
  width: 232px;
  height: 371px;
  background-color: rgba(var(--neutral_1_rgb),0.7);
  backdrop-filter: blur(4px) grayscale(100%);
  transform: scaleY(0%);
  opacity: 0;
  transform-origin: center bottom;
  transition: all 0.3s ease;
  border-radius: 8px;
  overflow: hidden;
}
div.postprofile-top:hover > div.postprofile-info,
div.postprofile-info:hover{
  bottom: 8px;
  transform: scaleY(100%);
  opacity: 1;
}
div.postprofile-top > div.postprofile-info:before{
  display: inline-block;
  width: 1px;
  content: " ";
  background: var(--gradient);
  position: absolute;
  bottom: 0px;
  height: 0px;
  left: 16px;
  transition: all 0.3s ease;
}
div.postprofile-top:hover > div.postprofile-info:before{ 
  animation: slideUp1 0.3s ease normal forwards 0.3s;
}

div.postprofile-info > div.postprofile-grid > span.profil_field:not(.profil_field_),
div.postprofile-info > div.postprofile-grid > span.profil_field:not(.profil_field_faceclaim),
div.postprofile-info > div.postprofile-grid > span.profil_field:not(.profil_field_cr__00e9dits),
div.postprofile-info > div.postprofile-grid > span.profil_field:not(.profil_field_couleur-de-dialogues){
  display: none!important;
}
div.postprofile-info > div.postprofile-grid > span.profil_field.profil_field_faceclaim,
div.postprofile-info > div.postprofile-grid > span.profil_field.profil_field_cr__00e9dits,
div.postprofile-info > div.postprofile-grid > span.profil_field.profil_field_couleur-de-dialogues{
  display: flex!important;
}
div.postprofile-info > div.postprofile-grid > span.profil_field.profil_field_{
  display: inline-block!important;
  width: 64px!important;
}

.postprofile-bottom {
  animation: profilefade 1s ease 1s forwards;
  opacity: 0;
  transform: scaleY(0%);
  transform-origin: center top;
  transition: var(--transi);
}
@keyframes profilefade{
  0%{ opacity: 0; transform: scaleY(0%);}
  100%{ opacity: 1; transform: scaleY(100%);}
}

div.postprofile-bottom div.tabs {
  margin-top: 8px;
  text-align: justify;
  display: grid;
  grid-template-columns: auto auto;
  grid-gap: 1px;
  border-radius: 4px 4px 0 0;
  overflow: hidden;
}

div.postprofile-bottom div.tabs span {
  background: var(--neutral_4);
  transition: all 0.5s ease;
  cursor: pointer;
}

div.postprofile-bottom div.tabs span.selected, div.postprofile-bottom div.tabs span:hover {
  background: linear-gradient(to right,var(--co2),var(--neutral_4));
}

div.postprofile-bottom div.tabs span:not(.selected) a {
  background: linear-gradient(to right,var(--co2),var(--neutral_4));  
  background-clip: text;
  -webkit-background-clip: text;
}

div.postprofile-bottom div.tabs span a {
  display: flex;
  -webkit-text-fill-color: transparent;
  text-shadow: 0 0 #00000000;
  text-transform: uppercase;
  font-size: 9px;
  align-items: center;
  margin: 0 4px;
  line-height: 18px;
  font-weight: 600;
  letter-spacing: 0.5px;
  transition: all 0.5s ease;
  color: white;
}

div.postprofile-bottom div.tabs span.selected a, div.postprofile-bottom div.tabs span:hover a {
  background-clip: content-box;
  -webkit-background-clip: content-box;
  -webkit-text-fill-color: inherit;
  color: white;
}

div.postprofile-bottom div.tabs ion-icon {
  padding: 2px;
  background: var(--co2);
  color: white;
  font-size: 8px;
  line-height: 16px;
  border-radius: 2px;
  margin-right: 4px;
  transition: all 0.5s ease;
}

div.postprofile-bottom div.tabs span.selected a ion-icon, div.postprofile-bottom div.tabs span:hover a ion-icon {
  background: white;
  color: var(--co2);
}

div.postprofile-bottom div.contents .profil_field{ text-align: justify; line-height: 16px; color: rgba(var(--tx_content_rgb),0.7);}
div.postprofile-bottom div.contents .profil_field .label{ display: inline-block; margin-right: 4px;line-height: 10px; }
body.light div.postprofile-bottom div.contents .profil_field hr{border-top: 1px solid #e1e1e1cf!important;}
body.dark div.postprofile-bottom div.contents .profil_field hr{border-top: 1px solid #313035!important;}

div.postprofile-bottom div.contents .label{
  font-size:0;
}
div.postprofile-bottom div.contents .label span{
 font-size:10px;
 color: var(--tx_content)!important;
}

div.postprofile-bottom div.contents .label span::after{
  content: " \2022 ";
  margin-right: 3px;
  font-size: 9px;
  margin-left: 2px;
}

/* affichage dans les onglets */
.irl .profil_field_, .irl .profil_field_irl, .irl .profil_field_avatar__002c-cr__00e9dits, .irl .profil_field_messages, .irl .profil_field_rps, .irl .profil_field_dama, .irl .profil_field_pronom__0028s__0029-du-personnage, .irl .profil_field_occupation, .irl .profil_field_particularit__00e9__0028s__0029, .irl .profil_field_naissance-__0026-__00e2ge, .irl .profil_field_statut-civil, .irl .profil_field_signes-distinctifs, .irl .profil_field_inventaire, .irl .profil_field_aesthetic-irp, .irl .profil_field_logement, .irl .profil_field_catalyseur, .irl .profil_field_affinit__00e9s-magiques, .irl .profil_field_multicomptes {display:none;}

.irp .profil_field_, .irp .profil_field_irl, .irp .profil_field_avatar__002c-cr__00e9dits, .irp .profil_field_messages, .irp .profil_field_rps, .irp .profil_field_dama, .irp .profil_field_aesthetic-irl, .irp .profil_field_disclaimer, .irp .profil_field_multicomptes, .irp .profil_field_dialogue, .irp .profil_field_relations, .irp .profil_field_r__00e9compenses, .irp .profil_field_liste-rps, .irp .profil_field_liste-sms, .irp .profil_field_pronom__0028s__0029 {display:none;}

.irl .profil_field_aesthetic-irl .label, .irp .profil_field_aesthetic-irp .label{display:none!important;}

div.postprofile-top > div.postprofile-info img{ 
  width: 48px; 
  height: 48px;
  object-fit: cover;
  border-radius: 8px; 
  box-shadow: var(--boxshadow); 
  transform: scale(0%,0%); 
  transform-origin: 50% 50%; 
  transition: var(--transi);
}
div.postprofile-top:hover > div.postprofile-info img,
div.postprofile-top:hover > div.postprofile-info > div.postprofile-grid > span:nth-child(1){ animation: scaleUp 0.3s ease normal forwards 0.6s; }

div.postprofile-top > div.postprofile-info > div.postprofile-grid{
  display: grid;
  grid-gap: 2px;
  grid-template-columns: 1fr;
  grid-template-rows: 60px 1fr 1fr 1fr 32px;
  position: absolute;
  width: calc(100% - 40px);
  margin: 0px 16px 0px 24px;
  bottom: -246px;
}
div.postprofile-top:hover > div.postprofile-info > div.postprofile-grid{ animation: slideUp2 0.3s ease normal forwards 0.3s; }

div.postprofile-grid > span:nth-child(1){
  padding: 6px 8px;
  position: relative;
  transform: scale(0%,0%);
  transition: var(--transi);
}
div.postprofile-grid > span:not(:first-child){
  padding: 6px 8px;
  font-size: 12px;
  color: var(--tx_content);
  z-index: 1;
  display: flex;
  flex-direction: column;
  gap: 2px;
}
div.postprofile-top > div.postprofile-info > div.postprofile-grid > span > span.label{
  display: block;
  font-family: var(--main-font);
  color: var(--tx_contrast);
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  font-weight: 600;
  line-height: 18px;
  font-style: normal;
}
div.postprofile-top > div.postprofile-info > div.postprofile-grid > span > span.label > span{
  color: var(--tx_contrast)!important;
}
div.postprofile-top > div.postprofile-info > div.postprofile-grid > span{
  display: none!important;
}
div.postprofile-top > div.postprofile-info > div.postprofile-grid > a{
  font-weight: 600;
  font-size: 9px;
  line-height: 16px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 2px 6px;
  background-color: var(--co2);
  border-radius: 2px;
  gap: 2px;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  color: white;
  transition: var(--transi);
  width: max-content;
  height: 20px;
  margin: 6px 8px;
}
div.postprofile-top > div.postprofile-info > div.postprofile-grid > a:hover{
  background-color: var(--co1);
}
.postprofile-rank {
  z-index: 1;
  border: 0;
  margin-bottom: 0px;
  padding: 4px 12px;
  color: var(--tx_content);
  font-size: 10px;
  letter-spacing: 0.05em;
  width: 100%;
  overflow: hidden!important;
  line-height: 16px;
  margin: 8px 0px;
  width: 248px;
  border-radius: 4px;
  position: relative;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.postprofile-rank:before {
  z-index: -1;
  content: "";
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  border-radius: 16px;
  padding: 1px;
  background: linear-gradient(100deg, var(--co2), var(--neutral_1) 30%, var(--neutral_1) 70%, var(--co2));
  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: xor;
  -webkit-mask: 
     linear-gradient(#fff 0 0) content-box, 
     linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
          mask-composite: exclude; 
}
.postprofile-contact{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(39px, 1fr));
  max-width: 248px;
  grid-column-gap: 1px;
  align-items: center;
  overflow: hidden;
  border-radius: 4px;
  min-width: 216px;
  margin-top: var(--spacing-s);
  position: relative;
  transition: var(--transi);
}

.postprofile-contact a{ 
  text-align: center!important;
  background: var(--neutral_2)!important;
  padding: 4px!important;
  margin: 0!important;
  overflow: hidden;
  position: relative;
}
.postprofile-contact img {
  border-radius: 0px;
  height: 16px;
  z-index: 2;
  position: relative;
}
body.dark .postprofile-contact img{
  transition: var(--transi);
  filter: invert(100%);
  -webkit-filter: invert(100%);
}
.postprofile-contact a:after{
  display: inline-block;
  content: " ";
  opacity: 0;
  width: 1px;
  height: 1px;
  background: linear-gradient(90deg, var(--co1) 0.29%, var(--co2) 100.29%);
  position: absolute;
  top: 50%;
  left: 50%;
  transition: var(--transi);
  transform-origin: center center;
  z-index:1;
  border-radius: 50%;
}
.postprofile-contact a:hover:after{ transform: scaleX(5000%) scaleY(5000%); opacity: 1; }
body.light .postprofile-contact a:hover img{ filter: invert(100%); -webkit-filter: invert(100%) brightness(1.5); }

div.postprofile-bottom div.contents {
  font-size: 10px;
  line-height: 16px;
  color: rgba(var(--tx_content_rgb),0.9);
  padding: 8px;
  background: var(--neutral_2);
  margin-top: 1px;
  border-radius: 0 0 4px 4px;
  max-height: 145px;
  text-align: justify;
  overflow: auto!important;
  height: 145px;
}
div.contents::-webkit-scrollbar-thumb{ background: var(--co2)!important; }

div.contents div.content{ color: rgba(var(--tx_content_rgb),0.9); }

div.postprofile-bottom div.contents dl.codebox{
  background-color: var(--neutral_1);
  padding: 8px;
  border-radius: 4px;
  margin: 4px 0px;
}
div.postprofile-bottom div.contents dt.spoiler_title:after,
div.postprofile-bottom div.contents .spoiler_content.hidden:before{
  right: 8px;
  top: 8px;
  background-color: var(--neutral_1);
  background-size: 8px 8px;
}
div.postprofile-bottom div.contents .spoiler_content.hidden{ 
  background-color: var(--neutral_4); 
  padding: 4px;
  font-size: 10px;
  margin-top: 0px;
}

div.contents > span.label > span{ color: var(--tx_content)!important; }
div.postprofile-bottom div.contents img{ max-width: 100%; }

div.postprofile-bottom > div.contents > span:nth-child(1),
div.postprofile-bottom > div.contents > span:nth-child(2),
div.postprofile-bottom > div.contents > span:nth-child(3),
div.postprofile-bottom > div.contents > span:nth-child(4),
div.postprofile-bottom > div.contents > span:nth-child(5),
div.postprofile-bottom > div.contents > span:nth-child(6),
div.postprofile-bottom > div.contents > span:nth-child(7) > span.label{ display: none; }

div.postprofile-bottom > div.contents > span > span.label > span{
  color: var(--tx_content)!important;
  font-weight: 600;
}
div.postprofile-bottom > div.contents > span a,
div.postprofile-bottom > div.contents > span a:link{ color: var(--co2)!important; }
div.postprofile-bottom > div.contents > span a:hover{ color: var(--co2_light)!important; }



div.postprofile-tc {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 4px 8px;
  background: var(--neutral_2);
  margin-top: 8px;
  border-radius: 4px;
  overflow: hidden;
  height: 25px;
  transition: var(--transi);
  position: relative;
}

div.postprofile-tc.open { height: auto; }
div.postprofile-tc div.tc-label {
  color: var(--tx_contrast);
  display: grid;
  grid-template-columns: auto max-content;
  font-size: 9px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  align-items: center;
}
div.tc-label ion-icon { font-size: 16px; transition: var(--transi); transform: rotate(0deg); }
div.postprofile-tc.open div.tc-label ion-icon{ transform: rotate(180deg); color: var(--tx_contrast);}

div.postprofile-tc > div.tc_field:not(.tc_field_cw-__0026-tw) {
  display: none !important;
}
div.postprofile-tc > div.tc_field.tc_field_cw-__0026-tw {
  background: var(--neutral_1);
  padding: 8px;
  font-size: 10px;
  font-weight: 500;
  border-radius: 4px;
  display: none;
}
div.postprofile-tc .tc_field .label{display:none!important}
div.postprofile-tc div.tc_field.tc_field_cw-__0026-tw{
  display: block!important;
  font-size: 10px;
  color: var(--tx_content);
}

div.postprofile .postprofile-awards{display:none}

.postbody .fa_like_div {
  padding: 0;
  color: var(--tx_content);
}
.postbody .fa_like_div:empty{ visibility: hidden; display: none; }

.postbody p.fa_dislike_list,
.postbody p.fa_like_list {
  background-color: var(--transp_1);
  border: 0;
  line-height: 16px;
  font-size: 10px!important;
  padding: 4px 8px;
  border-radius: 8px;
  box-shadow: var(--boxshadow);
}
.postbody .fa_like_list, 
.postbody .fa_dislike_list, 
.postbody .option_voters_list {
  border-left: 0px;
}
.postbody p.fa_dislike_list a,
.postbody p.fa_like_list a{
 color: var(--tx_content)!important;
}

.postbody p.fa_dislike_list:empty, .postbody p.fa_like_list:empty{
  visibility: hidden;
}

/* ------ SONDAGES ------- */
.panel{
  background: var(--transp_1);
  border-radius: 8px;
  box-shadow: var(--boxshadow);
  color: var(--tx_content);
  padding: 0px;
  backdrop-filter: blur(4px);
}
.panel:last-child { margin-bottom: 8px; }
.panel fieldset{ margin-bottom: 0px; }

.panel h2.h3, .panel h2{
  width: 100%;
  border: 0;
  text-align: center;
  padding: 16px;
  font-size: 16px;
  line-height: 24px;
  margin: 0!important;
  font-weight:400;
  font-family: var(--secondary-font);
}
.panel p.right-box{ position: absolute; }

fieldset.polls{
  position: relative;
  top: -48px;
  margin-bottom: -48px;
}
fieldset.polls dl{
  display: flex;
  width: 100%;
  grid-template-columns: max-content max-content;
  justify-content: center;
  align-items: center;
  grid-column-gap: 8px;
  margin: 0px auto;
  margin-bottom: 0;
}
fieldset.polls dd{ float: none; padding: 0px; width: auto; }
fieldset.polls dt{ width: 100%; min-width: 400px; font-weight: normal; font-size: 13px; }
fieldset dl:after{ display: none; }
fieldset.polls dl:last-child{ grid-column-gap: 0px; }
fieldset.polls dd.resultbar a{
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
}

input[type="submit"], 
.button, .button1, .button2{
  background: var(--neutral_1);
  color: var(--tx_content)!important;
  text-transform: uppercase;
  font-family: var(--font);
  font-weight: var(--fontweight-b);
  font-size: var(--fontsize);
  line-height: 16px;
  padding: 8px 12px;
  box-shadow: var(--boxshadow);
  height: 34px;
  border: 0px!important;
  transition: var(--transi);
  margin-right: 0;
}
input[type="submit"]:hover, 
.button:hover, .button1:hover, .button2:hover{ 
  box-shadow: var(--boxshadow);
  background: var(--co2);
  color: var(--blanc)!important;
}

.poll-bar{
  padding: 0px 8px!important;
  background-color: var(--co1);
}
.poll-bar-bar{ 
  background-image: linear-gradient(to-right, var(--co2), var(--co2_light)); 
  background-size: 100% 100%;
  background-position: 0% 0%;
  background-color: var(--co2);
}

/* FOOTER DU TOPIC */
.topic-bottom{
  background: var(--transp_1);
  border-radius: 16px;
  box-shadow: var(--boxshadow);
}
.topic-bottom-row1{
  display: grid;
  grid-template-columns: max-content max-content;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
}
.topic-bottom-row1 > .topic-actions{ margin: 0; font-size: 10px; }
.topic-bottom-row1 > .topic-actions a{
  color: var(--tx_content);
  font-size: 9px;
  letter-spacing: 0.5px;
  text-transform: uppercase;
}

.reponse-rapide{
  max-width: 680px;
  margin: auto;
  position: relative;
  margin-top: 16px;
}
.reponse-rapide .h3,
.reponse-rapide br:first-child,
.block .h3{ display: none; }

.reponse-rapide #quick_reply{
  position: relative;
  top: -26px;
  margin-bottom: -10px;
}
.reponse-rapide #quick_reply #textarea_content{
  border-radius: 8px;
  color: var(--tx_content);
  box-shadow: none;
}
#quick_reply div:nth-child(2){ margin-top: 8px!important; }

.reponse-rapide #quick_reply .sceditor-container {
  background: var(--neutral_2);
  border: 1px solid var(--co1);
  border-radius: 8px!important;
  color: var(--tx_content);
  font-family: var(--font);
  font-size: 12px;
  font-weight: 600;
}
.reponse-rapide #quick_reply div.sceditor-toolbar{ border-radius: 8px 8px 0px 0px; }
.reponse-rapide #quick_reply .sceditor-container textarea{
  width: 100%!important;
  background: var(--neutral_2)!important;
}

.topic-bottom-row2{
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: flex-start;
  padding: 16px;
}
.topic-bottom-row2 .permissions{ font-size: 10px!important; line-height: 16px; color: var(--tx_content); }
.topic-bottom-row2 .permissions span strong{ font-weight: normal!important; }
.topic-bottom-row2 .block{ box-shadow: none; padding: 0px; margin: 0px; font-size: 10px!important; color: var(--tx_content); }
.topic-bottom-row2 .block a{ border-bottom: 1px solid var(--tx_content); padding-bottom: 2px; display: inline-block; color: var(--tx_content); }

fieldset.quickmod,
fieldset.jumpbox{ margin: 0; }
.modbox form[name="jumpbox"]{ height: 24px; }
.modbox label,
.jumpbox label{
  text-transform: uppercase;
  font-size: 9px;
  letter-spacing: 0.5px;
  color: var(--tx_content);
}
.modbox select[name="mode"],
.jumpbox select[name="selected_id"]{
  background: var(--transp_1);
  border: 0px solid !important;
  color: var(--tx_content);
  font-size: 10px;
  border-radius: 4px;
  line-height: 16px;
  padding: 4px;
  max-width: 200px;
}
.modbox .button2.small,
fieldset.jumpbox .button2.small,
#quick_reply input[type="submit"].button2.small{
  background: var(--co2_dark);
  border: 0!important;
  box-shadow: none;
  text-transform: uppercase;
  font-size: 9px;
  font-weight: 600;
  color: white!important;
  height: 24px;
  line-height: 8px;
  padding: 8px;
  margin-left: 8px;
  transition: var(--transi);
}
.modbox .button2:hover{ background-color: var(--co1_dark); }
.modbox p.right{ margin-top: 8px;}
body.dark .modbox p.right img{filter: invert(100%);}

.topic-bottom-row3{
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-content: space-between;
  padding: 16px;
  border-top: 1px solid var(--transp_2);
}
.topic-bottom-row3 .button1{ height: 34px; }
.button1 + .button1{ margin-left: 8px; }

/*  ---- CODE, SPOILER, CITER ----- */
dl.codebox {
  background-color: var(--transp_4);
  border-radius: 16px;
  border-width: 0;
  font-size: 12px;
  padding: 16px;
  position: relative;
  display: block;
  box-shadow: var(--boxshadow);
  margin: 8px 0px;
}

div.para dl.codebox,
blockquote dl.codebox,
div dl.codebox,
p dl.codebox{ background-color: var(--neutral_2); box-shadow: none; }
div.listing_ask dl.codebox{ background-color: var(--neutral_2); }

dl.codebox:before{ display: none; }
dl.codebox dt {
  border-bottom: 0px;
  font-size: 10px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  display: block;
  color: var(--tx_content);
  margin-bottom: 8px!important;
}
dl.codebox dd{
  margin: 0px;
  padding: 0px;
  min-height: 28px;
}
dl.codebox code {
  background: var(--neutral_1)!important;
  overflow: auto;
  display: block;
  height: auto;
  max-height: 250px;
  white-space: normal;
  line-height: 18px;
  font-size: 12px;
  margin: 0px!important;
  padding: 8px;
  color:var(--tx_content);
  border-radius: 4px;
}

.hljs-section, .hljs-name, .hljs-string{color:var(--co1)!important;}
.hljs-keyword, .hljs-selector-tag, .hljs-tag, .hljs-type, .hljs-title, .hljs-attr, .hljs-selector-id, .hljs-selector-class, .hljs-selector-pseudo, hljs-selector-attr, dl.codebox code{color:rgb(var(--tx_content),0.6)!important;}


div.listing_ask dl.codebox code{ background-color: var(--neutral_1)!important;}

dl.codebox.spoiler{ display: block; }
dl.codebox.spoiler dt{ margin-bottom: 0px!important; }
dl.codebox.spoiler dd{ min-height: 0px; }
.spoiler_content.hidden {
  display: block;
  padding: 8px;
  margin-top: 8px;
  background: var(--neutral_1)!important;
}
.spoiler_content.hidden a,
.spoiler_content.hidden a:link{transition: var(--transi); color: var(--co2)!important;}
.spoiler_content.hidden a:hover{color: var(--co3)!important;}
.fae_copy-code{ transition: var(--transi); text-decoration: none!important; }
.fae_copy-code:hover{ color: var(--tx_content); text-decoration: none!important; }
bb4.fae_copy-code:after{ margin: 0px!important; }

blockquote{
  width: 88%;
  border: 0px!important;
  background-color: transparent;
  margin: 16px auto;
  display: block;
  font-size: 13px;
  line-height: 1.5em;
  color: var(--tx_content);
  text-align: justify;
}
blockquote.citation {
  border: 0px;
  width: 100%;
  font-size: 12px;
  margin: 16px 0px;
  padding: 16px;
  background-color: var(--transp_1);
  border-radius: 16px;
  box-shadow: var(--boxshadow);
}
blockquote.citation cite {
  font-style: normal;
  font-weight: 600;
  display: block;
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  margin-bottom: 8px;
  color: var(--tx_content);
}
blockquote.citation cite a:link,
blockquote.citation cite a:hover,
blockquote.citation cite a:visited,
blockquote.citation cite a:active{ color: var(--co2)!important; }

blockquote + br + blockquote,
boite + br + blockquote,
dl.codebox + br + blockquote,
blockquote + br + dl.codebox,
dl.codebox + br + dl.codebox,
boite + br + dl.codebox,
boite + br + boite,
blockquote + br + boite,
dl.codebox + br + boite{ margin-top: 0px!important; }


/* ------ SMS (BLOG ET COMMENTAIRES) ------- */
/* ------ SMS -------- */
.sms-header{
  background: var(--transp_1)!important;
  backdrop-filter: blur(4px);
  background-size: cover!important;
  background-position: center center!important;
  background-repeat: no-repeat!important;
}

#quick_reply input[type="submit"], 
#quick_reply .button2{
  font-size: 10px;
  line-height: 16px;
  padding: 4px 8px;
  height: 24px;
  margin-left: 0px!important;
  margin: 0px 3px!important;
}

div.post.sms-first{ padding-bottom: 16px; }
.sms-first .post-head .fa_like_div .rep-button, 
.sms-first .post-head .fa_like_div .rep-button:active, 
.sms-first .post-head .fa_like_div .rep-button:focus{
  margin-bottom: -6px;
  margin-right: 3px;
  position: relative;
  top: -6px;
}
.sms-first .postbody .content{ margin: 0px 16px; border-radius: 8px; }
.sms-first .postbody .fa_like_div{ margin: 0px 16px; }
.sms-first .postbody p.fa_dislike_list, 
.sms-first .postbody p.fa_like_list,
#blog_comments .comment-container p.fa_dislike_list,
#blog_comments .comment-container p.fa_like_list{
  background-color: var(--transp_1);
  border: 0;
  line-height: 16px;
  font-size: 10px!important;
  padding: 4px 8px;
  border-radius: 8px;
  box-shadow: var(--boxshadow);
}
.sms-first .postbody p.fa_dislike_list a, 
.sms-first .postbody p.fa_like_list a,
#blog_comments .comment-container p.fa_dislike_list a,
#blog_comments .comment-container p.fa_like_list a{
  color: var(--tx_content);
}
#blog_comments .fa_like_div { padding: 0px; }

.comment .online:before{ display: none; }

#blog_comments{
  width: 100%;
  margin: 8px 0px;
  border-radius: 8px;
  box-shadow: var(--boxshadow);
  padding: 32px 16px;
  background-color: var(--transp_1);
  display: grid;
  grid-row-gap: 24px;
}
.comment-body:before {
  border-width: 0px;
  width: 8px;
  height: 8px;
  content: " ";
  background-size: 8px 8px;
  background-position: center center;
  background-repeat: no-repeat;
  display: block;
  filter: none;
  left: -7px;
  position: absolute;
  top: 8px;
}
body.light .comment-body:before{ background-image: var(--icon_sms-bubble-white)!important; }
body.dark .comment-body:before{ background-image: var(--icon_sms-bubble-dark)!important; }

.comment {
  margin: auto;
  display: grid;
  grid-template-columns: 40px auto;
  grid-column-gap: 16px;
  position: relative;
  left: -28px;
}

.comment-avatar{
  width: 40px;
  float: none;
}
.comment-avatar img{
  border-radius: 50%;
  height: 40px;
  padding: 0px; 
  width: 40px;
  box-shadow: var(--boxshadow);
  object-fit: cover;
}
.comment-avatar:after {
  border-width: 0px;
  height: 40px;
  line-height: 40px;
  width: 40px;
  border-radius: 50%;
}
.comment-container{
  width: 360px;
}
.comment-body {
  background-color: var(--transp_1);
  color: var(--tx_content);
  border-radius: 8px;
  box-shadow: var(--boxshadow);
  float: none;
  font-size: 12px;
  margin: 0px;
  padding: 0px;
}
.comment-header{
  background-color: var(--neutral_1);
  width: 100%;
  padding: 4px 8px;
  border-radius: 8px 8px 0px 0px;
}
.comment-header .sms-author a{ color: rgba(var(--tx_content_rgb),0.5); }

.comment-body .content {
  color: var(--tx_content);
  word-wrap: break-word;
  line-height: 18px;
  font-family: var(--font);
  font-size: 12px;
  padding: 16px;
}
.comment-body .content br { line-height: 0px!important; height: 0px!important; }

.fa_like_list, .fa_dislike_list, .option_voters_list{color: rgba(var(--tx_content_rgb),0.7)!important;}

div.sms-actions{
  position: absolute;
  width: 152px;
  right: -160px;
  top: 0px;
  background-color: var(--transp_1);
  color: var(--tx_content);
  padding: 4px 8px;
  border-radius: 8px;
  opacity: 0;
  transform: scaleX(0%);
  transform-origin: left center;
  transition: var(--transi);
  box-shadow: var(--boxshadow);
}
.comment:hover > div.sms-actions{
  transform: scaleX(100%);
  opacity: 1;
}

div.sms-actions .blog_comment-title {
  float: none;
  font-size: 9px;
  color: var(--tx_content);
  line-height: 16px;
  text-transform: uppercase;
}
div.sms-actions a{ opacity: 1; transition: var(--transi); }
div.sms-actions .blog_comment-title  a{ font-weight: 600; color: var(--tx_content); }
div.sms-actions a:hover{ opacity: 0.5; }

div.sms-buttons{
  display: flex;
  margin-bottom: 4px;
  gap: 8px;
}
div.sms-actions .sms-buttons a, 
div.sms-actions .sms-buttons span {
  border-radius: 0px;
  border-width: 0px;
  box-shadow: none;
  display: inline-block;
  font-size: 9px;
  text-transform: uppercase;
  font-weight: 600;
  height: 16px;
  padding: 0px;
  letter-spacing: 0.5px;
  color: var(--tx_content);
}
div.sms-buttons a[href=""]{
  display: none;
}

div.sms-actions .rep-button, 
div.sms-actions .rep-button:focus, 
div.sms-actions .rep-button:active {
  background-color: transparent;
  border: none;
  margin: 0;
  padding: 0px;
  border-radius: 0;
}
div.sms-actions .rep-button.fa_liked:hover, 
div.sms-actions .rep-button.fa_liked:focus,
div.sms-actions .rep-button.fa_disliked:hover, 
div.sms-actions .rep-button.fa_disliked:focus{ background-color: transparent; }

#blog_comments .sms-action-buttons .fa_like_div{
  display: flex;
  gap: 16px;
  margin-bottom: 4px;
  height: 12px;
  padding: 0!important;
  color: var(--tx_content);
}
div.sms-actions .rep-button img{ height: 12px; }
div.sms-actions .rep-button:hover img{ animation: btq-hover 1s infinite; }

div.sms-actions .rep-nb {
  background-color: transparent;
  color: var(--tx_content);
  border-radius: 0;
  margin-left: 8px;
  font-size: 9px;
  font-weight: 600;
  line-height: 12px;
  min-width: 12px;
  text-align: left;
  padding: 0px;
  display: inline-block;
  position: relative;
  top: -2px;
  margin-bottom: -2px;
}
#blog_comments jr{
  line-height: 16px;
  font-size: 9px;
  text-transform: uppercase;
  position: absolute;
  top: 6px;
  right: 8px;
  opacity: 0.5;
}
#blog_comments blockquote{
  margin: 0px;
  padding: 16px 0px 8px 0px;
  background: transparent;
  color: var(--tx_content);
  border: 0px;
  border-radius: 4px;
  font-size: 12px;
  box-shadow: none!important;
}
#blog_comments blockquote jr{ display: none; }

/* jr + br + blockquote { margin-top: -16px!important; } */


blockquote.FAM-codebox{
  padding: 0px!important;
  margin: 8px 0px;
  width: 100%;
  background: transparent!important;
  display: flex!important;
  overflow: hidden;
  height: fit-content!important;
}

#blog_comments blockquote div,
blockquote.FAM-codebox > div{
  background: var(--transp_1);
  padding: 8px;
  border-radius: 4px;
}
blockquote.FAM-codebox > div{
  margin: 0;
  font-size: 11px;
  line-height: 1.5em;
  display: flex;
  flex-direction: column;
}

#blog_comments blockquote cite,
blockquote.FAM-codebox cite{
  position: absolute;
  text-transform: uppercase;
  font-size: 9px;
  line-height: 16px;
  font-weight: 600;
  opacity: 0.5;
  top: -3px;
  left: 0px;
}
blockquote.FAM-codebox cite{
  margin: 0px!important;
  max-width: none;
  background: transparent;
  top: -4px;
  left: -4px;
  position: relative;
  line-height: 12px;
}
#blog_comments blockquote cite ion-icon,
blockquote.FAM-codebox cite ion-icon{ position: relative; top: 2px; }
blockquote:before,
blockquote.FAM-codebox cite:before{ display: none; }

#blog_comments dl.codebox{
  background-color: transparent;
  border-width: 0px;
  color: var(--tx_content);
  padding: 0px;
  font-size: 12px;
  margin: 8px 0px!important;
}
#blog_comments dl.codebox:before{ display: none; }
#blog_comments dl.codebox dt{
  cursor: pointer;
  font-size: 9px;
  text-transform: uppercase;
  font-weight: 600;
  color: rgba(var(--tx_content_rgb),0.5);
  margin: 0px;
  border: 0px;
}
#blog_comments dl.codebox dd{
  background: var(--transp_4);
  border-radius: 4px;
  padding: 8px;
}
#blog_comments dt.spoiler_title:after,
#blog_comments .spoiler_content.hidden:before{ display: none; }

#blog_comments deleted,
#blog_comments ur,
#blog_comments nd{
  padding: 2px;
  display: block;
  height: 16px;
  font-size: 12px;
  line-height: 16px;
  width: 16px;
  text-align: center;
  border-radius: 50%;
  position: absolute;
  right: 8px;
  bottom: 8px;
}
#blog_comments deleted ion-icon,
#blog_comments ur ion-icon,
#blog_comments nd ion-icon {     
  --ionicon-stroke-width: 32px;
  position: absolute;
  right: 1px;
  top: 1px;
}
#blog_comments deleted{
  border: 1px #CF436B solid;
  color: #CF436B;
}
#blog_comments ur{
  border: 1px #998b95 solid;
  color: #998b95;
}
#blog_comments nd{
  border: 1px var(--rai) solid;
  color: var(--rai);
}

#blog_comments deleted:before,
#blog_comments ur:before,
#blog_comments nd:before{
  display: inline-block;
  padding: 2px 4px 1px 4px;
  border-radius: 2px;
  color: var(--blanc);
  font-size: 9px;
  letter-spacing: .5px;
  font-weight: 600;
  text-transform: uppercase;
  line-height: 13px;
  position: absolute;
  bottom: -21px;
  left: -18px;
  box-shadow: var(--boxshadow);
  transition: var(--transi);
  z-index: 3;
  opacity: 0;
  transform: scaleY(0%);
  transform-origin: center top;
}
#blog_comments deleted:hover:before,
#blog_comments ur:hover:before,
#blog_comments nd:hover:before{ 
  opacity: 1;
  transform: scaleY(100%);
}
#blog_comments deleted:before{ 
  content: "Deleted";
  background-color: #CF436B;
}
#blog_comments ur:before{ 
  content: "Not read";
  background-color: #998b95;
  width: 58px;
  left: -20px;
}
#blog_comments nd:before{ 
  content: "Not delivered";
  background-color: var(--rai);
  width: 88px;
  left: -36px;
}

#blog_comments deleted:after,
#blog_comments ur:after,
#blog_comments nd:after{
  border-width: 0;
  width: 6px;
  height: 6px;
  content: " ";
  background-size: 6px 6px;
  background-position: center center;
  background-repeat: no-repeat;
  display: block;
  filter: none;
  left: 4px;
  position: absolute;
  bottom: -7px;
  transition: var(--transi);
  z-index: 3;
  opacity: 0;
  transform: rotate(90deg);
}
#blog_comments deleted:hover:after,
#blog_comments ur:hover:after,
#blog_comments nd:hover:after{ 
  opacity: 1;
}
#blog_comments deleted:after{ background-image: var(--icon_sms-bubble-pink)!important; }
#blog_comments ur:after{ background-image: var(--icon_sms-bubble-co2light)!important; }
#blog_comments nd:after{ background-image: var(--icon_sms-bubble-raiyo)!important; }

typing{
  display: grid; 
  padding: 12px; 
  background: var(--neutral_1); 
  width: fit-content; 
  border-radius: 16px; 
  grid-template-columns: 8px 8px 8px; 
  grid-column-gap: 6px; 
  justify-items: center; 
  align-items: center; 
} 
dot{ 
  display: block; 
  background-color: rgba(var(--tx_content_rgb),0.2); 
  content: " "; 
  width: 8px; 
  height: 8px; 
  border-radius: 50%; 
  transform: translateY(0); 
  transition: 0.3s all ease; 
} 
typing dot:first-child{ animation: type 1.2s ease infinite; }
typing dot:nth-child(2){ animation: type 1.2s ease infinite 0.3s; }
typing dot:nth-child(3){ animation: type 1.2s ease infinite 0.6s; }
@keyframes type{
  0%{transform: translateY(0);} 
  30%{transform: translateY(-4px);} 
  60%{transform: translateY(0px);} 
  100%{transform: translateY(0);}
}

/* --- Appels - Inspi Maeva --- */
.imophone{
  display: grid;
  width: 250px;
  margin: auto;
  border-radius: 8px;
  overflow: hidden;
  position: relative;
  background-color: var(--neutral_1);
}
.imophone me,
.imophone you,
.imophone call{
  grid-row:1;
  grid-column:1;
  display:block;
  background-size:cover;
  background-position:center;
} 
.imophone me{
  height:320px
} 
.imophone you{
  position:absolute;
  width:56px;
  height:64px;
  top:8px;
  right:8px;
  border-radius: 4px;
} 
.imophone call{
  justify-self:center;
  align-self:center;
  width:80%;
  max-height:150px;
  margin-top:16px;
  overflow:auto;
  color: var(--tx_content);
  background-color:var(--neutral_2);
  padding:8px;
  text-align:justify;
  opacity:0;
  transition: var(--transi);
  border-radius: 8px;
} 
.imophone call::-webkit-scrollbar-thumb{ background-color: var(--co2)!important; }
.imophone:hover call{ opacity:1; }
.imophone::after{
  content:'';
  grid-row:1;
  grid-column:1;
  align-self:end;
  justify-self:center;
  display:block;
  width:100%;
  height:56px;
  background:url(https://images2.imgbox.com/ba/2b/AY3sE2NO_o.png) no-repeat;
  background-size:auto 50px;
  background-position: center top;
  z-index:1;
}

/* ------ SMS - PREMIER POST ----- */
div.sms-intro{
  width: 360px;
  margin: auto;
  position: relative;
  top: -16px;
}
div.sms-intro:before {
    display: block;
    content: " ";
    background: var(--transp_4);
    width: 392px;
    height: 136px;
    position: absolute;
    bottom: -16px;
    left: -16px;
    border-radius: 24px;
    box-shadow: var(--boxshadow);
    z-index: 1;
}

div.sms-intro .sms-img{
  text-align: center;
  position: relative;
  top: 12px;
  z-index: 3;
}
div.sms-intro .sms-img img{     
  display: inline;
  height: 64px;
  width: 64px;
  object-fit: cover;
  border-radius: 50%;
}
div.sms-intro .sms-img img:not(:first-child){     
  position: relative;
  left: -24px;
  margin-right: -24px;
  box-shadow: var(--boxshadow);
}

div.sms-intro .sms-content{
    padding: 24px 16px 16px 16px;
    text-align: center;
    background: var(--transp_4);
    border-radius: 16px;
    z-index: 2;
    position: relative;
}
div.sms-intro .sms-content .sms-titre{
    display: inline-block;
    font-size: 14px;
    line-height: 24px;
    padding-bottom: 8px;
    border-bottom: 1px var(--co2) solid;
}
div.sms-intro .sms-titre a{
  background: transparent;
  display: inline;
  margin: 0px;
  padding: 0px;
  font-weight: normal;
  color: var(--tx_content);
}
div.sms-intro .sms-texte{ margin-top: 16px; }


/*  ---- WORD COUNT ----- */
div.word-count{
  margin-top: 4px;
  font-size: 9px;
  letter-spacing: 0.5px;
  font-weight: 600;
  text-transform: uppercase;
  color: var(--tx_content);
  line-height: 16px;
}
.message-row div.word-count{ 
  color: var(--tx_content); 
  line-height: 24px;
  height: 24px;
}
